import _extends from "@babel/runtime/helpers/esm/extends";
export default function genColorMapToken(seed, _ref) {
  var generatePrimaryPalettes = _ref.generatePrimaryPalettes,
      generateSuccessPalettes = _ref.generateSuccessPalettes,
      generateErrorPalettes = _ref.generateErrorPalettes,
      generateWarningPalettes = _ref.generateWarningPalettes,
      generateInfoPalettes = _ref.generateInfoPalettes,
      generateTextAlphaPalettes = _ref.generateTextAlphaPalettes,
      generateBgPalettes = _ref.generateBgPalettes;
  var colorSuccessBase = seed.colorSuccess,
      colorWarningBase = seed.colorWarning,
      colorErrorBase = seed.colorError,
      colorInfoBase = seed.colorInfo,
      colorPrimaryBase = seed.colorPrimary,
      colorBgBase = seed.colorBgBase,
      colorTextBase = seed.colorTextBase;
  var primaryColors = generatePrimaryPalettes(colorPrimaryBase);
  var successColors = generateSuccessPalettes(colorSuccessBase);
  var warningColors = generateWarningPalettes(colorWarningBase);
  var errorColors = generateErrorPalettes(colorErrorBase);
  var infoColors = generateInfoPalettes(colorInfoBase);
  var bgColors = generateBgPalettes(colorBgBase, colorTextBase);
  var textColors = generateTextAlphaPalettes(colorTextBase);
  return _extends(_extends(_extends({}, bgColors), textColors), {
    colorPrimaryBg: primaryColors[1],
    colorPrimaryBgHover: primaryColors[2],
    colorPrimaryBorder: primaryColors[3],
    colorPrimaryBorderHover: primaryColors[4],
    colorPrimaryHover: primaryColors[5],
    colorPrimary: primaryColors[6],
    colorPrimaryActive: primaryColors[7],
    colorPrimaryText: primaryColors[8],
    colorPrimaryTextHover: primaryColors[9],
    colorSuccessBg: successColors[1],
    colorSuccessBorder: successColors[3],
    colorSuccess: successColors[6],
    colorErrorBg: errorColors[1],
    colorErrorBorder: errorColors[3],
    colorErrorHover: errorColors[5],
    colorError: errorColors[6],
    colorErrorActive: errorColors[7],
    colorWarningBg: warningColors[1],
    colorWarningBorder: warningColors[3],
    colorWarningHover: warningColors[5],
    colorWarning: warningColors[6],
    colorWarningActive: warningColors[7],
    colorInfoBg: infoColors[1],
    colorInfoBorder: infoColors[3],
    colorInfo: infoColors[6]
  });
}